Name: glusterfs-hadoop
Version: 2.3.2
Release: 7%{?dist}
License: ASL 2.0
URL: http://forge.gluster.org/hadoop
Summary: GlusterFS Hadoop Compatible File System (HCFS) plugin
Source0: https://github.com/gluster/hadoop-glusterfs/archive/%{version}.tar.gz
Patch0: Hadoop24.patch
BuildArch: noarch

BuildRequires: java-devel >= 1:1.6
BuildRequires: maven-local
BuildRequires: mvn(org.apache.hadoop:hadoop-common)
BuildRequires: mvn(org.apache.hadoop:hadoop-yarn-server-nodemanager)

%description
A Hadoop Compatible File System (HCFS) plugin for GlusterFS. This
allows data stored in Gluster to be processed by Hadoop ecosystem
analytics engines, e.g. MapReduce.


%package javadoc
Summary: API documentation for %{name}


%description javadoc
%{summary}


%prep
%setup -q -n glusterfs-hadoop-%{version}
%patch0 -p1
%pom_remove_plugin :git-commit-id-plugin
%pom_xpath_remove "pom:build/pom:extensions"


%build
%mvn_file  : glusterfs-hadoop
%mvn_alias : org.apache.hadoop.fs.glusterfs:
# Tests require -
#  mvn(org.apache.hadoop:hadoop-common-test)
#  mvn(org.apache.hadoop:hadoop-test)
#  mvn(org.apache.hadoop:hadoop-core)
#  mvn(org.apache.ftpserver:ftplet-api)
#  mvn(org.apache.mina:mina-core)
#  mvn(org.apache.ftpserver:ftpserver-core)
#  mvn(org.apache.ftpserver:ftpserver-deprecated)
%mvn_build --skip-tests


%install
%mvn_install


%files -f .mfiles
%doc README COPYING


%files javadoc -f .mfiles-javadoc
%doc COPYING


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 22 2015 Peter Robinson <pbrobinson@fedoraproject.org> 2.3.2-5
- ARMv7 now has hadoop

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Timothy St. Clair <tstclair@redhat.com> - 2.3.2-1
- Update to latest build 2.3.2

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.1.2-3
- Use Requires: java-headless rebuild (#1067528)

* Tue Sep  3 2013 Matthew Farrellee <matt@redhat> - 2.1.2-2
- Avoid missing dep on arm, ExcludeArch: arm (matches Hadoop)

* Wed Aug 14 2013 Matthew Farrellee <matt@redhat> - 2.1.2-1
- Initial package, using apache-commons-io as a template
